
%define name	dvb-firmware
%define version	20061120
%define rel	1
%define distsuffix plf

%define cvssnap	20060112

%define firmdir /lib/firmware
%if %mdkversion <= 200600
%define firmdir /lib/hotplug/firmware
%endif

Summary:	Firmware files for Linux DVB drivers
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	Proprietary
Group:		System/Kernel and hardware

# From http://linuxtv.org/cgi-bin/viewcvs.cgi/dvb-kernel/firmware/
Source0:	%{name}-%{cvssnap}.tar.bz2
# From http://linuxtv.org/download/firmware/
Source1:	dvb-usb-bluebird-01.fw.bz2
Source2:	dvb-usb-wt220u-02.fw.bz2
# From http://linuxtv.org/cgi-bin/viewcvs.cgi/v4l-dvb \
#      /linux/Documentation/dvb/get_dvb_firmware?root=v4l&view=auto
Source10:	dvb-fe-sp8870.fw.bz2
Source11:	dvb-fe-nxt2004.fw.bz2

# From http://thadathil.net:8000/dvb/fw/dvb-usb/
Source20:	dvb-usb-dib0700-01.fw
Source21:	dvb-usb-digitv-02.fw
Source22:	dvb-usb-nova-t-usb2-02.fw
Source23:	dvb-usb-pctv-400e-01.fw
Source24:	dvb-usb-wt220u-fc03.fw
Source25:	dvb-usb-wt220u-zl0353-01.fw

URL:		http://www.linuxtv.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Source package to build firmware files for the Linux DVB drivers
that require such (except for dvb-ttpci which is in separate package).

This package is in PLF because the firmware files are non-free.

%package	usb
Summary:	Firmware files for USB DVB devices requiring such
Group:		System/Kernel and hardware

%description	usb
Firmware files for the USB DVB devices that require such. You might
also need the dvb-firmware-frontends package.

This package is in PLF because the firmware files are non-free.

%package	frontends
Summary:	Firmware files for DVB frontends requiring such
Group:		System/Kernel and hardware

%description	frontends
Firmware files for the DVB frontends requiring such.

This package is in PLF because the firmware files are non-free.

%prep
%setup -q -n firmware
cp -a %SOURCE1 %SOURCE2 %SOURCE10 %SOURCE11 %SOURCE20 %SOURCE21 %SOURCE22 .
cp -a %SOURCE23 %SOURCE24 %SOURCE25 .
bunzip2 *.bz2
rm -f dvb-ttpci-01.fw

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{firmdir}
install -m 644 *.fw %{buildroot}%{firmdir}

%clean
rm -rf %{buildroot}

%files usb
%defattr(0644,root,root,0755)
%{firmdir}/dvb-*usb-*.fw

%files frontends
%defattr(0644,root,root,0755)
%{firmdir}/dvb-fe-*.fw

%changelog
* Mon Nov 20 2006 Anssi Hannula <anssi@zarb.org> 20061120-1plf2007.1
- add more firmware files for usb devices:
  o dvb-usb-dib0700-01.fw
  o dvb-usb-digitv-02.fw
  o dvb-usb-nova-t-usb2-02.fw
  o dvb-usb-pctv-400e-01.fw
  o dvb-usb-wt220u-fc03.fw
  o dvb-usb-wt220u-zl0353-01.fw

* Tue Feb  7 2006 Anssi Hannula <anssi@zarb.org> 20060207-1plf
- add dvb-usb-wt220u-02.fw

* Thu Jan 12 2006 Anssi Hannula <anssi@zarb.org> 20060112-1plf
- initial PLF release
